# $Revision: 1.18 $, $Date: 2007/09/05 13:51:29 $
Summary:	Tyrex - Java Transaction Service implementation
Summary(pl.UTF-8):	Tyrex - implementacja Java Transation Service
Name:		tyrex
Version:	1.0.3
Release:	1
License:	BSD-like (see LICENSE)
Group:		Development/Languages/Java
Source0:	http://dl.sourceforge.net/tyrex/%{name}-%{version}.tgz
# Source0-md5:	f1c9b178bd1840094a6ba80310bfbcdd
URL:		http://tyrex.sourceforge.net/
Requires:	jre >= 1.3
BuildArch:	noarch
# same as java-sun
ExclusiveArch:	i586 i686 pentium3 pentium4 athlon %{x8664} noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tyrex is an Open Source implementation of the Java Transaction Service
specification defined by Sun Microsystems, Inc.

%description -l pl.UTF-8
Tyrex jest implementacją Open Source specyfikacji Java Transaction
Service zdefiniowanej przez Sun Microsystems, Inc.

%package doc
Summary:	Tyrex documentation
Summary(pl.UTF-8):	Dokumentacja Tyreksa
Group:		Development/Languages/Java

%description doc
Tyrex documentation.

%description doc -l pl.UTF-8
Dokumentacja Tyreksa.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_javadir}
install ots-jts_1.0.jar %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}
ln -sf %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
ln -sf ots-jts_1.0.jar $RPM_BUILD_ROOT%{_javadir}/jts.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG LICENSE README
%{_javadir}/*.jar

%files doc
%defattr(644,root,root,755)
%doc doc/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tyrex.spec,v $
Revision 1.18  2007/09/05 13:51:29  baggins
- 1.0.3

Revision 1.17  2007/04/01 19:04:56  glen
- EA update

Revision 1.16  2007/02/12 22:09:18  glen
- tabs in preamble

Revision 1.15  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.14  2005/02/22 21:24:58  paszczus
- updated to 1.0.2

Revision 1.13  2004/12/15 12:17:18  radek
- minor License unifications

Revision 1.12  2004/07/15 12:55:34  pluto
- use %{_javadir}.

Revision 1.11  2003/12/14 22:26:15  qboosh
- 1.0.1

Revision 1.10  2003/05/28 13:02:24  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:27:30  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/03/10 16:31:21  misiek
- updated to 1.0

Revision 1.7  2002/08/24 20:36:44  qboosh
- new %doc, R: jre >= 1.3

Revision 1.6  2002/03/27 11:42:59  roman
- License: BSD-like (see LICENSE)

Revision 1.5  2002/02/23 04:55:17  kloczek
- adapterized.

Revision 1.4  2002/02/22 23:29:49  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/18 02:15:14  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/12/19 12:20:20  qboosh
- pl translations, cosmetics, removed %{_javalibdir} from package

Revision 1.1  2001/10/02 09:17:30  pascalek
- initial revision
